curl --request GET \
--url https://api.pocketflows.com/project_email_templates/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.pocketflows.com/project_email_templates/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.pocketflows.com/project_email_templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"subject": "<string>",
"body": "<string>",
"kind": "plaintext",
"template_html": "<string>",
"template_json": "<unknown>",
"new_template_json": "<unknown>",
"new_template_html": "<string>",
"attachments": [
{
"id": "<string>",
"name": "<string>"
}
],
"metadata": {},
"created_at": "<string>",
"enabled_at": "<string>"
}Retrieve a project email template
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The ID of the project email template
Response
A ProjectEmailTemplate object
The ID of the email template
The name of the email template
The subject of the email template
The body of the email template. If present, template_html and template_json must be null
The kind of the email template
plaintext, html, unlayer, old_editor, editor The HTML of the email template. If present, body and template_json must be null
The JSON of the email template. If present, body and template_html must be null
The new unlayer JSON template. May be null
The new unlayer HTML template. May be null
An array of attachments associated with the email template
Show child attributes
Show child attributes
Arbitrary metadata associated with this email template
The time when the email template was created in ISO 8601 format
The time when the email template was enabled in ISO 8601 format